summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2018-11-29 15:08:18 +0100
committerMarcello Stanisci <stanisci.m@gmail.com>2018-11-29 15:08:18 +0100
commit80272a1c86868594e22146c0106e7bb8f5e776f3 (patch)
treec211f8b1dd4b5c93538abe4d7ec11adaa7409f86
parentc0da0629463a820321f4ddbb5a8490339fd451bb (diff)
downloaddeployment-80272a1c86868594e22146c0106e7bb8f5e776f3.tar.gz
deployment-80272a1c86868594e22146c0106e7bb8f5e776f3.tar.bz2
deployment-80272a1c86868594e22146c0106e7bb8f5e776f3.zip
Auditor-reports generation.
Still on polishing/debugging the script.
-rwxr-xr-xbuildbot/make_auditor_reports.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/buildbot/make_auditor_reports.sh b/buildbot/make_auditor_reports.sh
index 1d6c36a..4a88008 100755
--- a/buildbot/make_auditor_reports.sh
+++ b/buildbot/make_auditor_reports.sh
@@ -21,19 +21,29 @@ fi
DATE=$(date +%Y-%m-%d)
REPORT_FILE=/home/${ACTIVE_COLOR}/audit_report.${DATE}
+WIRE_REPORT_FILE=/home/${ACTIVE_COLOR}/wire_audit_report.${DATE}
SUDO_COLOR="sudo -u ${ACTIVE_COLOR}"
JINJA_TEMPLATE="auditor-report.tex.j2"
REPORTS_DIRECTORY="/home/${TALER_DEPLOYMENT}/reports"
${SUDO_COLOR} sh -c "taler-auditor > ${REPORT_FILE}.txt"
+${SUDO_COLOR} sh -c "taler-wire-auditor > ${WIRE_REPORT_FILE}.txt"
# 2 convert them into PDF.
# 3 put them into nginx-served directory.
-${SUDO_COLOR} sh -c \
+if ! ${SUDO_COLOR} sh -c \
"./render_auditor_reports.py \
- ${REPORT_FILE}.txt > ${REPORT_FILE}.tex \
- < ${JINJA_TEMPLATE}"
+ ${REPORT_FILE}.txt \
+ ${WIRE_REPORT_FILE}.txt \
+ > ${REPORT_FILE}.tex \
+ < ${JINJA_TEMPLATE}"; then
+echo
+echo "Could not generate the TEX template (from Jinja)."
+exit 1
+fi
+
+# POLISHING ENDS HERE.
${SUDO_COLOR} pdflatex \
--output-directory $REPORTS_DIRECTORY \